members.dev
ApiEvents

List Events

Lists Events

GET
/v1/events

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

single_events?boolean

Expand recurring events into instances.

Defaultfalse
starts_at?|

Inclusive schedule range start.

ends_at?|

Exclusive schedule range end.

tags?array<>|

Filter by tag. Multiple values are OR'd.

hosts?array<>|

Filter by host. Multiple values are OR'd.

resource_id?|

Filter by linked Event Resource ID.

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/events"
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "starts_at_local": null,
    "ends_at_local": null,
    "timezone": "string",
    "status": "confirmed",
    "state_transitions": {
      "cancelled_at": {}
    },
    "recurring_event_id": "string",
    "original_starts_at_local": {},
    "recurrence": [
      "string"
    ],
    "pricing_rules": [
      {
        "id": "string",
        "name": "string",
        "benefits_required": [
          "string"
        ],
        "amount": 0,
        "deductions": [
          {
            "benefit": "string",
            "count": 0
          }
        ]
      }
    ],
    "pricing_options": [
      {
        "id": "string",
        "name": "string",
        "benefits_required": [
          "string"
        ],
        "amount": 0,
        "deductions": [
          {
            "benefit": "string",
            "count": 0
          }
        ],
        "is_available": true,
        "unavailable_reason": "string"
      }
    ],
    "tags": [
      "string"
    ],
    "hosts": [
      "string"
    ],
    "location": {
      "id": "string",
      "name": "string",
      "formatted_address": "string",
      "url": "string",
      "instructions": "string",
      "google_place_id": "string",
      "archived_at": {},
      "created_at": null,
      "updated_at": null
    },
    "capacity": 0,
    "resource_ids": [
      "string"
    ],
    "slot_duration_minutes": 0,
    "slot_interval_minutes": 0,
    "bookings_count": 0,
    "slots": [
      {
        "starts_at_local": null,
        "ends_at_local": null,
        "max_capacity": 0,
        "remaining_capacity": 0,
        "bookings_count": 0,
        "is_bookable": true,
        "resources": [
          {
            "resource_id": "string",
            "max_capacity": 0,
            "remaining_capacity": 0,
            "bookings_count": 0,
            "is_bookable": true
          }
        ]
      }
    ]
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}